FullTextIndexLookupQNames
Date: 2013-02-17

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.indexmanagement.fulltextindexlookup
Interface FullTextIndexLookupQNames

    public interface FullTextIndexLookupQNames

Contains all QNames (Qualified Names of Resource Properties and references) used in the FullTextIndexLookupService.

Version:
  0.2
Author:
  Con Tsakalozos

Field Summary
`static java.lang.String` | `NS`
`static javax.xml.namespace.QName` | `RESOURCE_PROPERTIES`
`static javax.xml.namespace.QName` | `RESOURCE_REFERENCE`
`static javax.xml.namespace.QName` | `RP_COLLECTION_ID`
`static javax.xml.namespace.QName` | `RP_CONNECTION_ID`
`static javax.xml.namespace.QName` | `RP_CONTENT_TYPE`
`static javax.xml.namespace.QName` | `RP_CREATED`
`static javax.xml.namespace.QName` | `RP_DOCUMENT_COUNT`
`static javax.xml.namespace.QName` | `RP_INDEX_FORMAT`
`static javax.xml.namespace.QName` | `RP_INDEX_ID`
`static javax.xml.namespace.QName` | `RP_INDEX_TYPE`
`static javax.xml.namespace.QName` | `RP_INDEX_TYPE_NAME`
`static javax.xml.namespace.QName` | `RP_IS_COMPLETE`
`static javax.xml.namespace.QName` | `RP_IS_HEAD_PARTITION`
`static javax.xml.namespace.QName` | `RP_MODIFIED`
`static javax.xml.namespace.QName` | `RP_STATISTICS_FILE_ID`
`static javax.xml.namespace.QName` | `RP_SUB_PARTITIONS`

Field Detail

### NS

    static final java.lang.String NS

See Also:
  Constant Field Values

### RP_INDEX_ID

    static final javax.xml.namespace.QName RP_INDEX_ID

### RP_CONNECTION_ID

    static final javax.xml.namespace.QName RP_CONNECTION_ID

### RP_COLLECTION_ID

    static final javax.xml.namespace.QName RP_COLLECTION_ID

### RP_INDEX_TYPE

    static final javax.xml.namespace.QName RP_INDEX_TYPE

### RP_INDEX_TYPE_NAME

    static final javax.xml.namespace.QName RP_INDEX_TYPE_NAME

### RP_INDEX_FORMAT

    static final javax.xml.namespace.QName RP_INDEX_FORMAT

### RP_CONTENT_TYPE

    static final javax.xml.namespace.QName RP_CONTENT_TYPE

### RP_IS_HEAD_PARTITION

    static final javax.xml.namespace.QName RP_IS_HEAD_PARTITION

### RP_IS_COMPLETE

    static final javax.xml.namespace.QName RP_IS_COMPLETE

### RP_SUB_PARTITIONS

    static final javax.xml.namespace.QName RP_SUB_PARTITIONS

### RP_STATISTICS_FILE_ID

    static final javax.xml.namespace.QName RP_STATISTICS_FILE_ID

### RP_DOCUMENT_COUNT

    static final javax.xml.namespace.QName RP_DOCUMENT_COUNT

### RP_MODIFIED

    static final javax.xml.namespace.QName RP_MODIFIED

### RP_CREATED

    static final javax.xml.namespace.QName RP_CREATED

### RESOURCE_PROPERTIES

    static final javax.xml.namespace.QName RESOURCE_PROPERTIES

### RESOURCE_REFERENCE

    static final javax.xml.namespace.QName RESOURCE_REFERENCE

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD